# eoParam Class Reference

eoParam: Base class for monitoring and parsing parameters More...

`#include <eoParam.h>`

Inheritance diagram for eoParam:

List of all members.

## Public Member Functions

| eoParam ()
| Empty constructor - called from outside any parser.
| eoParam (std::string _longName, std::string _default, std::string _description, char _shortName=0, bool _required=false)
| Construct a Param.
virtual | ~eoParam ()
| Virtual destructor is needed.
virtual std::string | getValue () const =0
| Pure virtual function to get the value out.
virtual void | setValue (const std::string &_value)=0
| Pure virtual function to set the value.
char | shortName () const
| Returns the short name.
const std::string & | longName () const
| Returns the long name.
const std::string & | description () const
| Returns the description of the argument.
const std::string & | defValue () const
| Returns the default value of the argument.
void | defValue (const std::string &str)
| Sets the default value of the argument,.
void | setLongName (std::string _longName)
| ALlows to change the name (see the prefix in eoParser.h).
bool | required () const
| Returns if required or not.

## Private Attributes

std::string | repLongName
std::string | repDefault
std::string | repDescription
char | repShortHand
bool | repRequired

## Detailed Description

eoParam: Base class for monitoring and parsing parameters

Definition at line 42 of file eoParam.h.

## Constructor & Destructor Documentation

eoParam::eoParam | ( | std::string | _longName,
|  | std::string | _default,
|  | std::string | _description,
|  | char | _shortName = `0`,
|  | bool | _required = `false`
| ) | `[inline]`

Construct a Param.

Parameters:

  | _longName | Long name of the argument
  | _default | The default value
  | _description | Description of the parameter. What is useful for.
  | _shortName | Short name of the argument (Optional)
  | _required | If it is a necessary parameter or not

Definition at line 60 of file eoParam.h.

The documentation for this class was generated from the following file:

- eoParam.h